| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Image
Image.Colortable

# Method Image.Colortable()->rigid()

Method rigid

  `object rigid()`
  `object rigid(int r, int g, int b)`

Description

  Set the colortable to use the "rigid" method of looking up colors.

  This is a very simple way of finding the correct color. The algorithm initializes a cube with `r` x `g` x `b` colors, where every color is chosen by closest match to the corresponding coordinate.

  This format is not recommended for exact match, but may be usable when it comes to quickly view pictures on-screen.

  It has a high init-cost and low use-cost. The structure is initiated at first usage.

Returns

  the object being called

Note

  Not applicable to colorcube types of colortable.

See also

  cubicles , map , full